%define drakxtools_ver 16

%define libname lib%{name}

%define gtk_files (connection_manager/gtk|signal_strength|drakroam|ifw|netcenter|drakconnect/edit|drakconnect/global).pm

%global __requires_exclude perl\\([a-z].*\\)


Name:           drakx-net
Version:        2.59
Release:        %mkrel 1
Summary:        %_vendor network tools
License:        GPLv2
Group:          System/Networking
Url:            https://gitweb.mageia.org/software/drakx-net
# See https://gitweb.mageia.org/software/drakx-net/ for sources.
Source0:        https://gitweb.mageia.org/software/%{name}/snapshot/%{name}-%{version}.tar.xz

BuildArch:      noarch
BuildRequires:  intltool
BuildRequires:  perl_checker

Requires:       drakxtools >= %{drakxtools_ver}
Requires:       %{name}-text = %{version}
Requires:       %{libname} = %{version}
Requires:       netprofile >= 0.20
Requires:       perl-Gtk3
Requires:       perl-Gtk3-Helper
Requires:       polkit
# For the systray applet
Requires:       typelib(StatusNotifier) >= 1.0

Recommends:     wireless-tools
Recommends:     rfkill
Recommends:     comgt
Recommends:     net_monitor
Recommends:     %{name}-applet

%description
This package contains the %_vendor network tools.

%package text
Summary:        %_vendor network text tools
Group:          System/Networking
Requires:       drakxtools-curses >= %{drakxtools_ver}
Requires:       %{libname} = %{version}

%description text
This package contains the %_vendor network tools that can be used in
text mode.

drakconnect: LAN/Internet connection configuration. It handles
ethernet, ISDN, DSL, cable, modem.

drakfirewall: simple firewall configurator

drakgw: internet connection sharing

drakproxy: proxies configuration

drakvpn: VPN configuration (openvpn, vpnc)

%package applet
Summary:        %_vendor network applet
Group:          System/Networking
Requires:       %{name} = %{version}-%{release}
Requires:       perl-Gtk3-Notify

%description applet
This package contains the %_vendor network applet (net_applet)
to check network connection

%package -n %{libname}
Summary:        %_vendor network tools library
Group:          System/Networking
Requires:       drakxtools-backend >= %{drakxtools_ver}
# require perl-Net-Telnet for OpenVPN connections (#36126):
Requires:       perl-Net-Telnet
# Require iw and wireless-regdb for CRDA domain settings (#47324)
Requires:       iw
Requires:       wireless-regdb
Conflicts:      %{name} <= 2.12-1

%description -n	%{libname}
This package contains the %_vendor network tools library.

%prep
%autosetup -p1

%build
%make_build

%install
%make_install

(cd %{buildroot}; find usr/lib/libDrakX/network/ -type f -name '*.pm') | perl -ne 'm!/%{gtk_files}$! ? print STDERR "/$_" : print "/$_"' > %{name}-nogtk.list 2> %{name}-gtk.list

%find_lang %{name}
cat %{name}-nogtk.list %{name}.lang > %{name}.list

%check
while read f; do
      grep -i Gtk3 %{buildroot}$f && exit 1
done < %{name}-nogtk.list
exit 0

%files -f %{name}-gtk.list
%doc NEWS
%{_bindir}/draknetcenter
%{_bindir}/draknetprofile
%{_bindir}/drakhosts
%{_bindir}/drakids
%{_bindir}/draknfs
%{_bindir}/drakroam
%{_bindir}/draksambashare
%{_datadir}/applications/draknetcenter.desktop
%{_prefix}/lib/libDrakX/icons/*.png
%{_datadir}/libDrakX/pixmaps/*.png
%{_iconsdir}/hicolor/scalable/actions/*.svg
%{_libexecdir}/draknetcenter
%{_libexecdir}/draknetprofile
%{_libexecdir}/drakhosts
%{_libexecdir}/drakids
%{_libexecdir}/draknfs
%{_libexecdir}/drakroam
%{_libexecdir}/draksambashare
%{_datadir}/polkit-1/actions/org.mageia.draknetcenter.policy
%{_datadir}/polkit-1/actions/org.mageia.draknetprofile.policy
%{_datadir}/polkit-1/actions/org.mageia.drakhosts.policy
%{_datadir}/polkit-1/actions/org.mageia.drakids.policy
%{_datadir}/polkit-1/actions/org.mageia.draknfs.policy
%{_datadir}/polkit-1/actions/org.mageia.drakroam.policy
%{_datadir}/polkit-1/actions/org.mageia.draksambashare.policy
%{_datadir}/polkit-1/actions/com.redhat.initscripts.ifdown.policy
%{_datadir}/polkit-1/actions/com.redhat.initscripts.ifup.policy
%{_datadir}/polkit-1/actions/com.redhat.initscripts.vpn-start.policy
%{_datadir}/polkit-1/actions/com.redhat.initscripts.vpn-stop.policy
%{_datadir}/polkit-1/actions/org.mageia-x.set-netprofile.policy

%files text
%{_bindir}/drakconnect
%{_bindir}/drakgw
%{_bindir}/drakvpn
%{_bindir}/drakproxy
%{_bindir}/drakfirewall
%{_bindir}/drakfirewall6
%{_bindir}/drakinvictus
%{_libexecdir}/drakconnect
%{_libexecdir}/drakgw
%{_libexecdir}/drakvpn
%{_libexecdir}/drakproxy
%{_libexecdir}/drakfirewall
%{_libexecdir}/drakfirewall6
%{_libexecdir}/drakinvictus
%{_datadir}/polkit-1/actions/org.mageia.drakconnect.policy
%{_datadir}/polkit-1/actions/org.mageia.drakgw.policy
%{_datadir}/polkit-1/actions/org.mageia.drakvpn.policy
%{_datadir}/polkit-1/actions/org.mageia.drakproxy.policy
%{_datadir}/polkit-1/actions/org.mageia.drakfirewall.policy
%{_datadir}/polkit-1/actions/org.mageia.drakfirewall6.policy
%{_datadir}/polkit-1/actions/org.mageia.drakinvictus.policy

%files -n %{libname} -f %{name}.list
%dir %{_prefix}/lib/libDrakX/network/
%dir %{_prefix}/lib/libDrakX/network/connection
%dir %{_prefix}/lib/libDrakX/network/drakconnect/
%dir %{_prefix}/lib/libDrakX/network/vpn

%files applet
%{_bindir}/net_applet
%{_datadir}/applications/net_applet.desktop
%{_sysconfdir}/xdg/autostart/net_applet.desktop


%changelog
* Fri May 30 2025 daviddavid <daviddavid> 2.59-1.mga10
+ Revision: 2187204
- new version 2.59

* Sat Aug 19 2023 martinw <martinw> 2.58-1.mga9
+ Revision: 1964873
- Revert change of default DHCP client to dhcpcd and removal of dhclient (mga#30938)

* Sat Jun 24 2023 martinw <martinw> 2.57-2.mga9
+ Revision: 1962940
- translation update

* Sat Jun 24 2023 martinw <martinw> 2.57-1.mga9
+ Revision: 1962931
- change default DHCP client to dhcpcd and remove dhclient (mga#30938)

* Sun Jan 01 2023 wally <wally> 2.56-1.mga9
+ Revision: 1928624
- new version 2.56

* Tue Mar 29 2022 umeabot <umeabot> 2.55-3.mga9
+ Revision: 1832389
- Mageia 9 Mass Rebuild

* Mon May 24 2021 tmb <tmb> 2.55-2.mga9
+ Revision: 1726298
- rebuild for rebuild for perl-5.34.0

* Wed Feb 17 2021 tmb <tmb> 2.55-1.mga8
+ Revision: 1675536
- translation updates

* Wed Jan 13 2021 tmb <tmb> 2.54-1.mga8
+ Revision: 1671540
- drakfirewall:
  o update postgresql package names (mga#23485)
  o remove vuze (dropped package)  (mga#23485)
- translation updates

* Mon Jan 04 2021 neoclust <neoclust> 2.53-1.mga8
+ Revision: 1668826
- New version 2.53

* Mon Jan 04 2021 neoclust <neoclust> 2.52-2.mga8
+ Revision: 1668768
- Update translations

* Sun Nov 22 2020 martinw <martinw> 2.52-1.mga8
+ Revision: 1648583
- drakfirewall:
  o add support for SANE server
  o add support for network printer/scanner autodiscovery (mga#26912)
  o exclude NM wireless config files when building interface list (mga#8960)
- translation updates

* Sun Jun 07 2020 wally <wally> 2.51-1.mga8
+ Revision: 1590850
- add basic support for connecting to WPA2-PSK network with net_applet when networkmanager is used

* Sat May 23 2020 zezinho <zezinho> 2.50-1.mga8
+ Revision: 1586974
- new version 2.50

* Sun Feb 16 2020 umeabot <umeabot> 2.42-3.mga8
+ Revision: 1534215
- Mageia 8 Mass Rebuild

* Sat Sep 28 2019 tmb <tmb> 2.42-2.mga8
+ Revision: 1447732
- drop requires on crda

* Tue Jun 18 2019 tmb <tmb> 2.42-1.mga7
+ Revision: 1400256
- translation updates

* Mon May 20 2019 tmb <tmb> 2.41-1.mga7
+ Revision: 1398581
- translation updates

* Wed Apr 10 2019 zezinho <zezinho> 2.40-1.mga7
+ Revision: 1387882
- new version 2.40

* Mon Jan 28 2019 martinw <martinw> 2.35-1.mga7
+ Revision: 1361768
- drakconnect: add option to set NOZEROCONF in /etc/sysconfig/network (mga#23282)
- net_applet: use SNI when running under Enlightenment (mga#23954)
- net_applet: force use of X11 backend when running on Wayland (mga#20680)
- drakfirewall: drop references to nonexistant mydsn, udhcpd, imap,
  courier-imap-pop, bittorrent (mga#23357)
- updated translations

* Thu Sep 20 2018 umeabot <umeabot> 2.34-2.mga7
+ Revision: 1278047
- Mageia 7 Mass Rebuild

* Sun Jun 10 2018 martinw <martinw> 2.34-1.mga7
+ Revision: 1236225
- iwlwifi-agn-ucode is renamed to iwlwifi-firmware (mga#22316)
- updated translations

* Tue Aug 01 2017 akien <akien> 2.33-1.mga7
+ Revision: 1133856
- 2.33: fix the context menu in net_applet

* Mon Jun 05 2017 akien <akien> 2.32-1.mga6
+ Revision: 1106894
- Version 2.32, translation updates

* Tue Mar 21 2017 neoclust <neoclust> 2.31-1.mga6
+ Revision: 1093895
- 2.31
- draksambashare:
  o updated require samba instead of samba-server (mga#17121)
- updated translations Tajik and Chinese
- net_applet
  o Prefer add_seconds() over add() as it uses less CPU and memory

* Mon Mar 13 2017 akien <akien> 2.30-1.mga6
+ Revision: 1092390
- Version 2.30, uses StatusNotifier 1.0 and DBusMenu for systray

* Sun Mar 12 2017 neoclust <neoclust> 2.29-1.mga6
+ Revision: 1092111
- Make sure the status icon exists before trying to display it (mga#20425)

* Sun Mar 05 2017 akien <akien> 2.28-1.mga6
+ Revision: 1088790
- Version 2.28
  o Adds hybrid support for SNI spec on Plasma for net_applet
    (other DEs still use the legacy GtkStatusIcon for now)
    (mga#17592)
  o Updated translations

* Sun Mar 05 2017 akien <akien> 2.28-0.1.mga6
+ Revision: 1088749
+ rebuild (emptylog)

* Sat Mar 04 2017 akien <akien> 2.28-0.mga6
+ Revision: 1088684
+ rebuild (emptylog)

* Mon Jun 27 2016 tv <tv> 2.27-1.mga6
+ Revision: 1037730
- drakconnect:
  o fix crash when running with --skip-wizard (mga#16772)

* Mon Jun 27 2016 tv <tv> 2.26-1.mga6
+ Revision: 1037723
- net_applet:
  o fix crash if notification queue is not yet initialized (mga#16995)

* Fri Jun 10 2016 luigiwalser <luigiwalser> 2.25-2.mga6
+ Revision: 1021032
- require perl-Gtk3-Notify for drakx-net-applet since perl autoreq is disabled

* Fri Mar 25 2016 tv <tv> 2.25-1.mga6
+ Revision: 995483
- really update new design for 2016 (Animtim) (mga#18065)

* Fri Mar 25 2016 ennael <ennael> 2.24-1.mga6
+ Revision: 995299
- New design (Animtim)

* Fri Feb 19 2016 umeabot <umeabot> 2.23-2.mga6
+ Revision: 969582
- Mageia 6 Mass Rebuild

* Thu Sep 03 2015 tv <tv> 2.23-1.mga6
+ Revision: 872364
- fix "unescaped left brace" warnings in perl-5.22+.
- log dbus errors
- stop using Gtk3::Notify::Queue as it's broken
+ shlomif <shlomif>
- Add a comment about the sources

* Wed Jun 03 2015 tv <tv> 2.22-1.mga5
+ Revision: 822869
- draknfs, draksambashare:
  o fix handling UTF-8 directories (mga#13354)
- draksambashare:
  o fix undefined value for parameter (mga#13206)

* Tue May 26 2015 ennael <ennael> 2.21-1.mga5
+ Revision: 822719
- add X-Mageia-CrossDesktop category (mga#15835)

* Tue May 19 2015 tv <tv> 2.20-1.mga5
+ Revision: 822398
- draksambashare:
  o fix empty user list (mga#12530)

* Mon May 18 2015 tv <tv> 2.19-1.mga5
+ Revision: 822280
- translation update

* Mon Apr 27 2015 tv <tv> 2.18-1.mga5
+ Revision: 820785
- fix displaying bogus ESSID for hidden network (mga#13685)
- use high res icons for notifications (mga#7434)

* Wed Mar 11 2015 tv <tv> 2.17-1.mga5
+ Revision: 818423
- fix not saving Private key, Private key password, or a CA cert in
  /etc/wpa_supplicant.conf (Patrick Hibbs, mga#11136)
- hide EAP client private key password (Patrick Hibbs, mga#11136)

* Mon Feb 09 2015 ennael <ennael> 2.16-1.mga5
+ Revision: 814305
- update translations

* Fri Jan 02 2015 tv <tv> 2.15-1.mga5
+ Revision: 808044
- translations updates

* Wed Dec 31 2014 alien <alien> 2.14-1.mga5
+ Revision: 807561
- Update to version 2.14 (mga#14904)

* Wed Nov 19 2014 tv <tv> 2.13-1.mga5
+ Revision: 797911
- translation updates
- drakfirewall: open submission port (587/tcp, RFC4409) when a mail
  server is available

* Wed Oct 15 2014 umeabot <umeabot> 2.12-5.mga5
+ Revision: 745713
- Second Mageia 5 Mass Rebuild

* Thu Sep 18 2014 tv <tv> 2.12-4.mga5
+ Revision: 695882
- exclude lower case perl reqs (not in std path)

* Tue Sep 16 2014 umeabot <umeabot> 2.12-3.mga5
+ Revision: 678855
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/

* Sat Feb 22 2014 blino <blino> 2.12-2.mga5
+ Revision: 595614
- move network::monitor to lib package, it does not rely on Gtk and is
  needed to configure wireless connections with drakconnect in text mode
- update files check section for Gtk3

* Mon Jan 27 2014 colin <colin> 2.12-1.mga4
+ Revision: 568416
- Default to 'automatic' NM mode rather than making a (likely wrong) decision for the user. mga#6675 mga#9261

* Sun Jan 26 2014 colin <colin> 2.11-1.mga4
+ Revision: 568238
- Avoid double fork problems mga#11184 mga#12364
- Add support to configure shorewall6 configs mga#11928

* Wed Jan 22 2014 tv <tv> 2.10-1.mga4
+ Revision: 567512
- block CHLD signals on startup in order to prevent glib-threading segfaults

* Wed Jan 08 2014 tv <tv> 2.9-1.mga4
+ Revision: 565524
- delay setting SIG_CHLD handler
  (thus preventing potential segfault on startup (mga#10289))

* Sun Jan 05 2014 tv <tv> 2.8-1.mga4
+ Revision: 564912
- nuke the use of /etc/iftab (it's no longer useful) mga#11592
- nuke the use of udev rules for network device names (persistent device names
  make it no longer relevant) mga#11592
- nuke an ethN regexp that prevents network coming up in installer mga#11592

* Sat Dec 28 2013 tv <tv> 2.7-1.mga4
+ Revision: 562884
- adapt to new /etc/sysctl.d
- drakfirewall: add 6881:6999 UDP port range for Bittorrent
  (this is used by rtorrent)

* Sat Dec 21 2013 tv <tv> 2.6-1.mga4
+ Revision: 559355
- prevent segfaulting on forking when glib/gtk create threads behind us
  (mga#12041)

* Wed Dec 18 2013 tv <tv> 2.5-1.mga4
+ Revision: 558351
- fix mga web url (mga#11972)
- do not request password for draknetcenter (mga#12017)

* Fri Dec 13 2013 tv <tv> 2.4-1.mga4
+ Revision: 556555
- fix draksambashare crashing when displaying about dialog (mga#11972)
- fix draksambashare crashing when displaying about dialog (mga#11972)

* Sun Dec 08 2013 tv <tv> 2.3.1-1.mga4
+ Revision: 555979
- fix a warning in net_applet (Colin Guthrie)

* Sun Dec 08 2013 tv <tv> 2.3-1.mga4
+ Revision: 555945
- avoid system() as this seems to segv perl when combined with threads (mga#11929)

* Thu Dec 05 2013 tv <tv> 2.2-2.mga4
+ Revision: 555428
- move perl-Gtk3-Helper along perl-Gtk3 one (debloat, mga#11842)

* Thu Nov 28 2013 tv <tv> 2.2-1.mga4
+ Revision: 553846
- fix "undefined value for mandatory argument 'sensitive'" (mga#11799)

* Tue Nov 26 2013 tv <tv> 2.1-1.mga4
+ Revision: 553527
- fix "undefined value for mandatory argument 'is_active'" (mga#11763)
- fix "undefined value for mandatory argument 'sensitive'" (mga#11764)

* Tue Nov 26 2013 tv <tv> 2.0-2.mga4
+ Revision: 553521
- explicitely require Gtk3-Helper (mga#11762)

* Mon Nov 25 2013 tv <tv> 2.0-1.mga4
+ Revision: 553055
- port to Gtk+3 (net_applet notification works again!)

* Thu Nov 21 2013 colin <colin> 1.29-1.mga4
+ Revision: 552204
- New version: 1.29 - misc polkit fixes mga#11286

* Tue Oct 22 2013 umeabot <umeabot> 1.28-2.mga4
+ Revision: 541536
- Mageia 4 Mass Rebuild

* Sun Oct 13 2013 colin <colin> 1.28-1.mga4
+ Revision: 496192
- New version: 1.28

* Tue Oct 01 2013 colin <colin> 1.27-1.mga4
+ Revision: 489957
- New version: 1.27
  o fix namespace problem on root user check (mga#11332)

* Sun Sep 29 2013 colin <colin> 1.26-1.mga4
+ Revision: 489340
- New version: 1.26
- Use polkit for authorisation (mga#11125)

* Mon Jul 22 2013 djennings <djennings> 1.25-1.mga4
+ Revision: 457103
- install net_monitor package on demand (mga#157)
- drakfirewall: replace obsolete state module with conntrack (mga#8225)

* Wed May 08 2013 blino <blino> 1.24-1.mga3
+ Revision: 412599
- adapt gtk files list to connection manager changes
- 1.24
- connection manager: extract gtk2 specific code in separate module
  (to reuse connection manager in harddrake service for packages
  installation)
- net_applet/netcenter/drakroam: remove unused pixbufs creation
- netcenter: update connection status after connection timeout (#3888)

* Fri May 03 2013 tv <tv> 1.23-1.mga3
+ Revision: 412057
- add FDN to ISP list (mga#6883)

* Sat Apr 27 2013 tv <tv> 1.22-1.mga3
+ Revision: 411465
- drakgw, drakfirewall: install shorewall-ipv6 too (mga#9401)

* Sun Apr 21 2013 tv <tv> 1.21-1.mga3
+ Revision: 410655
- translation updates

* Wed Mar 27 2013 tv <tv> 1.20-1.mga3
+ Revision: 405444
- improve MAC adress help
- drakfirewall:
  o fix detecting if shorewall is enabled (mga#8699)
  o list loc zone before net zone in /etc/shorewall/zones;
    this is useful to apply local rules before net rules for a
    "one-armed" router, e.g. one interface with both a public IP
    address and a local private address, with such an entry in
    /etc/shorewall/hosts: "loc eth0:192.168.0.0/24"

* Sat Feb 23 2013 tmb <tmb> 1.19.2-1.mga3
+ Revision: 400166
- re-add broadcom-wl reference

* Tue Feb 19 2013 tv <tv> 1.19.1-1.mga3
+ Revision: 399473
- load services when needed

* Tue Feb 19 2013 tv <tv> 1.19-1.mga3
+ Revision: 399446
- drakconnect:
  o add support for 802.1x EAP with WPA Enterprise Patch (mga#8577,
    Zombie Ryushu)
  o add support for MACADDR and ETHTOOL_OPTS (Oden Eriksson, mga#8811)
- drakfirewall:
  o check shorewall enabling via systemd (mga#8699, from Rosa)
- draknfs:
  o fix nfs server having switch to systemd unit (mga#3386, Derek Jennings)

* Thu Jan 24 2013 tmb <tmb> 1.18-1.mga3
+ Revision: 392174
- 1.18:
- drop broadcom-wl reference during free driver tests
- monitor: allow wpa_cli to report signale strength in dBm (Derek Jennings, #8228)
- drakhosts: fix translation domain (Yuri Chornoivan, mga#8629)
- fix untranslatable strings (Yuri Chornoivan, mga#8638, #8640 & #8628)

* Tue Jan 22 2013 fwang <fwang> 1.17-2.mga3
+ Revision: 390853
- update rpm group

* Wed Jan 16 2013 tmb <tmb> 1.17-1.mga3
+ Revision: 388828
- update translations
- draknfs: check /usr/sbin/rpc.nfsd instead of service file
+ tv <tv>
- fix description, net_applet has been split

* Fri Oct 12 2012 tv <tv> 1.16-1.mga3
+ Revision: 304832
- fix nfs-utils detection now that we use only systemd (mga#7654)
- fix device path for "cdc_acm" (mga#3841)

* Thu Sep 06 2012 tv <tv> 1.15.1-1.mga3
+ Revision: 288707
- remove invalid character in source code that makes drakx-net tools crash

* Wed Sep 05 2012 tv <tv> 1.15-1.mga3
+ Revision: 288676
- draknetcenter: fix crash when net_applet doesn't run (mga#6040)

* Tue Sep 04 2012 tv <tv> 1.14-1.mga3
+ Revision: 288166
- drakinvictus: fix crashing due to missing icon (mga#5223)
- drakroam: fix a crash (mga#6847)
- use chroot's /etc/resolv.conf if stage1 didn't write any
  (Derek Jennings, mga#5772)
- wait for network to show up the same way as in the installer
  (Derek Jennings, mga#5830)

* Sun Jul 22 2012 blino <blino> 1.13-1.mga3
+ Revision: 273591
- 1.13
- install rtlwifi-firmware for r8712u driver (#6064)
- fix installing ralink firmware for 2860 and 2870 chipsets (#5072)
  (also drop 3090 checks, the driver has been merged in others)

* Fri May 11 2012 tmb <tmb> 1.12-1.mga2
+ Revision: 235347
- fix connectivity test during install (and possibly standalone) by
  calling res_init before hostname resolution (#5772)
+ tv <tv>
- fix connectivity test during install (and possibly standalone) by
  calling res_init before hostname resolution (#5772)

* Thu May 10 2012 tv <tv> 1.11-1.mga2
+ Revision: 235154
- fix testing network connectivy test after resolv.conf changes
  (Derek Jennings, mga#5772)

* Mon Apr 30 2012 blino <blino> 1.10-1.mga2
+ Revision: 234323
- 1.10
- install rtlwifi-firmware for rtl8192 drivers
- remove rtl8187se thirdparty check, it has been in mainline for a
  long time already
- another fix for iwlagn firmware installation since reported module
  name is iwlwifi (#5549)

* Sat Apr 28 2012 tmb <tmb> 1.9-1.mga2
+ Revision: 233970
- further fix iwlagn firmware installation (blino)

* Wed Apr 25 2012 tv <tv> 1.8-1.mga2
+ Revision: 233264
- ndiswrapper: do not try to access the full chroot path when running
  in chroot (mga#56052)
- fix iwlagn firmware package installation (#5549) and make
  iwl3945/4965 check faster by fixing test file
- install ralink-firmware for rt61/73/2860/2870/3090 drivers

* Mon Apr 16 2012 zezinho <zezinho> 1.7-1.mga2
+ Revision: 231098
- fix b43 firmware path (#5419)

* Mon Apr 16 2012 blino <blino> 1.6-3.mga2
+ Revision: 231044
- suggest rfkill

* Mon Apr 16 2012 blino <blino> 1.6-2.mga2
+ Revision: 231011
- suggest wireless-tools and comgt (since they have been removed from initscripts)

* Thu Apr 12 2012 colin <colin> 1.6-1.mga2
+ Revision: 230339
- ensure /etc/hostname has a newline as per upstream specs (#4672)
+ tv <tv>
- drop very old conflicts

* Thu Mar 22 2012 tv <tv> 1.5-1.mga2
+ Revision: 225761
- fix CRDA never set to 'US' when country not in CRDA domains
  (might help #1015 & the like)
- fix bogus messages about 3rd party drivers
- drakfirewall:
  o fix listing NFS ports
  o fix cleaning old rules
- nfs: add .conf suffix to lockd.drakx file in /etc/modprobe.d

* Mon Mar 12 2012 tv <tv> 1.4-1.mga2
+ Revision: 223111
- adapt to drakxtools-13.92+ API change
  (reduces net_applet resident memory)
- drakfirewall: list SSL flavor of POP3/IMAP/SMTP ports

* Wed Jan 04 2012 colin <colin> 1.3-1.mga2
+ Revision: 190394
- 1.3: Ensure /etc/hostname is updated when hostname changes (mga#2983)
+ tmb <tmb>
- drop buildroot and defattr

* Wed Dec 14 2011 blino <blino> 1.2-1.mga2
+ Revision: 181656
- 1.2
- wireless scan: use programs from prefix, not installer root (#1452)

* Sat Dec 10 2011 blino <blino> 1.1-1.mga2
+ Revision: 179906
- 1.1
- drakfirewall: use . instead of source in /etc/ifw/rules
- shorewall:
  o do not write end line twice in config files if there is no
    "LAST LINE" marker
  o do not warn about incompatible SECTION commands in rules file
    (source does not work in dash)
- net_applet: use better libnotify app name
- fix squid configuration when sharing internet connection (#1353)

* Tue Nov 22 2011 blino <blino> 1.0-1.mga2
+ Revision: 170708
- 1.0
- fix parsing (and thus writing back) ACCOUNTING and NM_CONTROLLED in ifcfg
  (thanks Mandriva for the nice bug BTW :)
- make sure all strings ended in translation catalogs (#3371)

* Tue Oct 18 2011 zezinho <zezinho> 0.99-1.mga2
+ Revision: 156238
- Use b43-openfwwf for b43 module instead of asking for a windows driver
+ tv <tv>
- make network connectivity check work with kernel-2.6.39+ (#1266)

* Thu May 19 2011 ennael <ennael> 0.97-1.mga1
+ Revision: 99812
- update encryption icons (#1094)

* Thu May 19 2011 ennael <ennael> 0.96-1.mga1
+ Revision: 99695
- redraw wifi icons

* Wed May 18 2011 ennael <ennael> 0.95-1.mga1
+ Revision: 99682
- update icons for wifi status

* Sat May 14 2011 ennael <ennael> 0.94-1.mga1
+ Revision: 98842
- update translations

* Wed Feb 23 2011 dmorgan <dmorgan> 0.93-3.mga1
+ Revision: 57445
- Revert previous commit, tks to ahmad

* Wed Feb 23 2011 dmorgan <dmorgan> 0.93-2.mga1
+ Revision: 57438
- Requires net_monitor for the applet

* Wed Feb 23 2011 dmorgan <dmorgan> 0.93-1.mga1
+ Revision: 57163
- 0.93:
- Make draknetcenter.desktop XDG compliant
- Move autostart desktop files to /etc/xdg/autostart
- Remove xinit.d script: non-xdg-autostart compliant desktops should use the
  xdg-compliance-autostart package if they want to run drakx-net and others

* Thu Feb 03 2011 dmorgan <dmorgan> 0.92-1.mga1
+ Revision: 46735
- imported package drakx-net


* Sun Jan 30 2011 Eugeni Dodonov <eugeni@mandriva.com> 0.92-1mdv2011.0
+ Revision: 634073
- 0.92:
 - keep NAME, UUID and LAST_CONNECT variables for NetworkManager
- 0.91:
 - allow interfaces to be controlled by NetworkManager

* Mon Nov 15 2010 Eugeni Dodonov <eugeni@mandriva.com> 0.90-3mdv2011.0
+ Revision: 597830
- Split net-applet into its own package.

* Wed Jul 21 2010 Thierry Vignaud <tv@mandriva.org> 0.90-2mdv2011.0
+ Revision: 556529
- rebuild for new perl

* Thu Jun 03 2010 Olivier Blin <oblin@mandriva.com> 0.90-1mdv2010.1
+ Revision: 547026
- 0.90
- fix blank entry for IFW in net_applet menu, aka baby-doll bug #58564
- translation updates

* Wed May 26 2010 Eugeni Dodonov <eugeni@mandriva.com> 0.89.2-1mdv2010.1
+ Revision: 546173
- 0.89.2:
- translation updates

* Wed May 19 2010 Olivier Blin <oblin@mandriva.com> 0.89.1-1mdv2010.1
+ Revision: 545333
- 0.89.1
- fix syntax error in network::connection::wireless

* Wed May 19 2010 Olivier Blin <oblin@mandriva.com> 0.89-1mdv2010.1
+ Revision: 545294
- 0.89
- correctly generate squid configuration (#58600)
- fix detecting sysfs bus (only applies to ieee1394 subsystem)
- wireless backend:
  o add support for rt2870 driver
- allow to skip Interactive Firewall configuration if IFW is set to
  no in /etc/sysconfig/drakx-net
- installer: configure automatic DHCP on all ethernet interfaces
  (and not just if there is a unique ethernet interface)

* Tue Apr 27 2010 Eugeni Dodonov <eugeni@mandriva.com> 0.88-1mdv2010.1
+ Revision: 539802
- 0.88:
- allow draknetprofile module selection to use whole screen.
- properly configure nlockmgr ports (#51431)
- disable CA certificate field if pkcs12 certificate is used (#38463)

* Tue Feb 02 2010 Pascal Terjan <pterjan@mandriva.org> 0.87-1mdv2010.1
+ Revision: 499494
- properly update /etc/hosts file when there are multiple aliases for the
  the same ip (#30168).
- ndiswrapper support:
  o properly check for broadcom hardware
- draksambashare:
  o properly list samba users (#55388)
- allow multiple IPs which resolve to the same host in /etc/hosts (#30168)
- cellular and 3g modem backend:
  o support udev-supplied 3g modem parameters
- avoid multiple instances of draknetcenter for the
  same user (if it's already running)
- Change prism54 wifi driver to p54pci/p54usb (#52018)
- Don't guess gateway and nameserver if not specified (#28033)
- Sort wireless networks by signal level by default
- Fix inverted wireless networks signal level sorting

* Tue Dec 01 2009 Claudio Matsuoka <claudio@mandriva.com> 0.86.1-3mdv2010.1
+ Revision: 472216
- Remade prism54 patch (closes 52018)
- Update release
- Use more restrictive firmware filenames for p54
- Change prism54 wifi driver to p54pci/p54usb (bug #52018)
- And increment package release
- Don't guess gateway and nameserver if not specified (closes: #28033)
  Sometimes we don't want a default route to be set when configuring a
  network interface with static address. The typical case is when we have
  an external interface with dhcp and default route to the internet and a
  static interface connected to the local network. See bug 28033 for
  details.

* Tue Oct 27 2009 Eugeni Dodonov <eugeni@mandriva.com> 0.86.1-1mdv2010.0
+ Revision: 459557
- 0.86.1:
- ignore non-fatal wpa_supplicant messages (#54002)

* Tue Oct 27 2009 Eugeni Dodonov <eugeni@mandriva.com> 0.86-1mdv2010.0
+ Revision: 459538
- 0.86:
- properly handle children processes in net_applet (#54636)
- advanced settings:
  o allow changing wireless regulatory domain without reboot (#54600)
- updated translations

* Mon Oct 19 2009 Eugeni Dodonov <eugeni@mandriva.com> 0.85-1mdv2010.0
+ Revision: 458284
- 0.85:
- cellular backend:
  o import list of mobile broadband providers from
    mobile-broadband-provider-info project
  o separate manually-defined and imported network providers into separate
    modules

* Tue Oct 13 2009 Eugeni Dodonov <eugeni@mandriva.com> 0.84-1mdv2010.0
+ Revision: 457192
- 0.84:
- do not install old net_monitor and add suggestion on new net_monitor package

* Thu Oct 01 2009 Eugeni Dodonov <eugeni@mandriva.com> 0.83-1mdv2010.0
+ Revision: 452220
- 0.83:
- support cleaning pending IFW notifications in net_applet
- prevent net_applet from creating zombie processes

* Thu Sep 24 2009 Olivier Blin <oblin@mandriva.com> 0.82-2mdv2010.0
+ Revision: 448127
- rebuild because BS lost sub-packages

* Wed Sep 23 2009 Eugeni Dodonov <eugeni@mandriva.com> 0.82-1mdv2010.0
+ Revision: 447867
- 0.82:
- only display 2 digits after comma for signal strengh (#53685)
- update net_applet icon when connecting to a network (#50741)

* Wed Sep 02 2009 Eugeni Dodonov <eugeni@mandriva.com> 0.81.1-1mdv2010.0
+ Revision: 425087
- improved parsing of utf8-encoded network profiles

* Wed Aug 26 2009 Eugeni Dodonov <eugeni@mandriva.com> 0.81-1mdv2010.0
+ Revision: 421469
- 0.81:
- add support for Ralink 3090 wireless (#53181)
- assume that network profiles could be utf8-encoded (#53127).
- update drakfirewall entry related to network services autodiscovery (#50544, #48869)
- make drakfirewall.pm return something when used as module (#53076)

* Tue Aug 18 2009 Eugeni Dodonov <eugeni@mandriva.com> 0.80-1mdv2010.0
+ Revision: 417731
- 0.80:
 - moved draknetprofile module configuration into 'Advanced' button
 - updated translations

* Mon Aug 17 2009 Eugeni Dodonov <eugeni@mandriva.com> 0.79-1mdv2010.0
+ Revision: 417297
- 0.79

* Fri Aug 14 2009 Eugeni Dodonov <eugeni@mandriva.com> 0.78-1mdv2010.0
+ Revision: 416352
- 0.78:
 - support new netprofile
 - use consolehelper authentication for netprofile

* Wed Jul 15 2009 Eugeni Dodonov <eugeni@mandriva.com> 0.77-1mdv2010.0
+ Revision: 396312
- 0.77:
- connection backend:
  o show default hostname if no hostname is specified by the user, to have
    a better visual feedback of what is going to be used by the system
    (#35143, #38557, #47364)
  o show help for hostname settings
  o show what devices have duplicated IP addresses
  o simplify IP conflict test and prevent crashing if none found
- wireless backend:
  o support overriding wpa_supplicant variables
  o correctly set network mode for Ad-hoc networks.
  o correctly handle wireless keys similar to hex numbers when not using WEP (#52128)

* Fri Jun 12 2009 Eugeni Dodonov <eugeni@mandriva.com> 0.76.1-1mdv2010.0
+ Revision: 385462
- 0.76.1:
 - properly handle wpa_supplicant WPA-Enterprise settings (#51574).

* Mon Jun 08 2009 Eugeni Dodonov <eugeni@mandriva.com> 0.76-1mdv2010.0
+ Revision: 383896
- 0.76:
- wireless backend:
  o properly handle passwords with special characters (#50670).
  o support toggling password echoing on and off (#50668).
  o ndiswrapper: properly detect partitions during install (#44416).
  o ndiswrapper: improve description for driver selection (#51511).
- connection backend:
  o added support for connection traffic accounting.
  o using correct sysctl variables when configuring advanced settings (#50807).
- ethernet backend:
  o added e1000e to the list of cards requiring LINK_DETECTION_DELAY (#49335).
- cellular backend:
  o added Cingular connection provider (#48849).
  o properly detecting Sierra Wireless card (#48849).
- drakfirewall:
  o added support for AVAHI/mDNS ports (#50541).
- updated required drakxtoos version to support hidden password toggling.

* Tue Apr 21 2009 Eugeni Dodonov <eugeni@mandriva.com> 0.75-1mdv2009.1
+ Revision: 368519
- Remove the possibility to edit wireless regulatory domain from drakconnect
  (#50115).

* Mon Apr 20 2009 Eugeni Dodonov <eugeni@mandriva.com> 0.74.5-1mdv2009.1
+ Revision: 368439
- 0.74.5:
- connection manager:
  o test for network conectivity a few times before reporting error
  (#50098, #49574)
- cellular backend:
  o added support for Brazilian VIVO provider.

* Thu Apr 16 2009 Eugeni Dodonov <eugeni@mandriva.com> 0.74.4-1mdv2009.1
+ Revision: 367796
- 0.74.4:
- wireless backend:
  o properly handling wireless cards which do not have a complete /sysfs/
    directory (such as b43) (#44740).

* Thu Apr 16 2009 Eugeni Dodonov <eugeni@mandriva.com> 0.74.3-1mdv2009.1
+ Revision: 367718
- 0.74.3:
- wireless backend, draknetcenter:
  o support configuring default system regulatory domain
    (#49982, #49983 and #49171)

* Wed Apr 15 2009 Eugeni Dodonov <eugeni@mandriva.com> 0.74.2-1mdv2009.1
+ Revision: 367504
- 0.74.2
- connection manager:
  o correctly saving hostname (#49827).

* Tue Apr 07 2009 Eugeni Dodonov <eugeni@mandriva.com> 0.74.1-1mdv2009.1
+ Revision: 364892
- 0.74.1
- connection manager:
  o using correct persistent-net-rules udev file during installation (#49156)
- 0.74:
- netcenter:
  o new way of disabling IPv6 (#48618).
  o allow editing global interface settings (#33623)

* Tue Mar 31 2009 Eugeni Dodonov <eugeni@mandriva.com> 0.73-1mdv2009.1
+ Revision: 362974
- 0.73:
- connection manager:
  o check if the network is really working during the connection test
  (#48887 #48169 #45965).
  o verify possible causes of network connection errors (#20684).
- drakfirewall:
  o added support for bacula, dhcp, syslog, mysql and postgresql servers.
  o updated associations between ports and packages.
- net_applet:
  o re-checking the wireless networks when updating applet (#40912)
- cellular backend:
  o added support for connections which do not require PIN number (#48837)
- ethernet backend:
  o always writing udev rules when saving settings (#48973)
- drakroam:
  o handle app authentication via draksec (#29566).
- Updated SPEC to handle drakroam authentication (#29566).

* Thu Mar 19 2009 Eugeni Dodonov <eugeni@mandriva.com> 0.72-1mdv2009.1
+ Revision: 357597
- 0.72
- draknfs:
  o preventing overlap of portmap and rpcbind (#48913).
- drakgw:
  o better explanation for firewall configuration issues (#34460).
- wireless backend:
  o support dynamic regulatory domain settings (#47324).

* Tue Mar 17 2009 Eugeni Dodonov <eugeni@mandriva.com> 0.71-1mdv2009.1
+ Revision: 356844
- 0.71:
- drakfirewall:
  o supporting custom user-defined NFS ports.
- netprofile:
  o selecting correct profile for cloning (#26562 #26776 #29303 #29271 #31721).

* Tue Mar 17 2009 Eugeni Dodonov <eugeni@mandriva.com> 0.70-1mdv2009.1
+ Revision: 356436
- 0.70
 - support NFS connection firewalling (#7689, #42072).

* Fri Mar 13 2009 Eugeni Dodonov <eugeni@mandriva.com> 0.69-1mdv2009.1
+ Revision: 354572
- 0.69
 - fix mdkapplet crash (#48729).

* Fri Mar 13 2009 Eugeni Dodonov <eugeni@mandriva.com> 0.68-1mdv2009.1
+ Revision: 354447
- 0.68:
- cellular backend:
  o added O2 operator support (#48582)
- draknfs:
  o updated directory selection to use FileChooser (#44562)
- draksambashare:
  o support users with dashes in login (#45694)
  o updated directory selection to use FileChooser (#44564)
- drakids:
  o reduced default window height (#38904)
- net_applet:
  o update tooltip periodically (#48408, #40912)

* Tue Mar 03 2009 Olivier Blin <oblin@mandriva.com> 0.67-1mdv2009.1
+ Revision: 348044
- 0.67
- drakids: set gtk2 dbus watch helpers again (broken in 0.66)
- net_applet: fix crash_applet when mandi gets started
  (happens if mandi was not available at net_applet start)

* Thu Feb 26 2009 Olivier Blin <oblin@mandriva.com> 0.66-1mdv2009.1
+ Revision: 345105
- 0.66
- net_applet: do net set gtk2 dbus watch helpers twice
  (fix crash, #48243)

* Wed Feb 25 2009 Olivier Blin <oblin@mandriva.com> 0.65-1mdv2009.1
+ Revision: 344926
- 0.65
- connection manager:
  o factorize dbus events code
  o warn on connection failures
- net_applet:
  o reload network interfaces list when a new network device appears
    (if dbus support is enabled)
- ethernet backend:
  o correctly write udev rules for network devices

* Wed Feb 18 2009 Eugeni Dodonov <eugeni@mandriva.com> 0.64-1mdv2009.1
+ Revision: 342466
- 0.64:
- connection manager:
  o fixed issue with list of wireless networks not appearing in drakconnect
  (#43613).

* Tue Feb 17 2009 Eugeni Dodonov <eugeni@mandriva.com> 0.63-1mdv2009.1
+ Revision: 342238
- 0.63:
- xdsl backend:
  o reduce number of maximum failed attempts to 5 (#28087)
- connection manager:
  o allow editing MTU value (#45394)
- cellular backend:
  o added a message specified that only 4-digit PINs are supported
    due to comgt backend limitations (#45341, #46972)
- net_monitor:
  o more informative default connection information and control (#17140)
  o add option to reset traffic counter (#46676)

* Fri Feb 13 2009 Eugeni Dodonov <eugeni@mandriva.com> 0.62-1mdv2009.1
+ Revision: 339984
- 0.62:
- connection manager:
  o preserve MTU value (#45969).
- net_monitor:
  o handle /proc/net/dev overflows (#46398)
- drakconnect:
  o displaying interface name together with description (#45881)
  o guessing DNS address the same was as GW (#7041)
  o displaying more information when configuring duplicate IP address (#16595)

* Mon Feb 09 2009 Eugeni Dodonov <eugeni@mandriva.com> 0.61-1mdv2009.1
+ Revision: 338924
- 0.61
- draknetcenter:
  o added support for msec-controled variables
- drakfirewall:
  o restarting mandi after changing interactive firewall settings (#47370)

* Wed Jan 28 2009 Eugeni Dodonov <eugeni@mandriva.com> 0.60-1mdv2009.1
+ Revision: 334719
- 0.60:
- drakids:
  o not using locale-specific date (#39914)
- netcenter:
  o added more options to Advanced settings view
- net_applet:
  o added DNS information to tooltip

* Tue Jan 20 2009 Eugeni Dodonov <eugeni@mandriva.com> 0.59-1mdv2009.1
+ Revision: 331765
- Moved advanced network settings to draknetcenter, and removed
  draknetadvanced.

* Tue Jan 20 2009 Eugeni Dodonov <eugeni@mandriva.com> 0.58-1mdv2009.1
+ Revision: 331478
- Added draknetadvanced to control advanced network parameters
  such as IPv6 and TCP Window Scaling (#27070, #28829, #33623, #38662).

* Wed Jan 14 2009 Eugeni Dodonov <eugeni@mandriva.com> 0.57-1mdv2009.1
+ Revision: 329612
- 0.57:
- firewall:
  o fixed issue with drakfirewall not saving settings (#46256 and #46937).
- updated translations.

* Wed Nov 26 2008 Olivier Blin <oblin@mandriva.com> 0.56-1mdv2009.1
+ Revision: 307158
- 0.56
- net_applet:
  o use longer description for user-friendly interface names
  o use user-friendly names in more places
- wireless backend:
  o fix installing rt61 and rt73 firmware packages
- xdsl backend:
  o add support for ATM bridging (for pppoe over USB modems, #35797)
  o fix writing ATM settings (mainly for ATMARP)

* Mon Nov 17 2008 Olivier Blin <oblin@mandriva.com> 0.55-1mdv2009.1
+ Revision: 304043
- 0.55
- net_applet:
  o show interface type name instead of just the interface
- netcenter:
  o prefer full type description instead of type name
- connection backend:
  o detect cellular_card types from ifcfg file

* Mon Nov 17 2008 Olivier Blin <oblin@mandriva.com> 0.54-1mdv2009.1
+ Revision: 303921
- 0.54
- netcenter:
  o show/hide connections on hotplug events

* Fri Nov 14 2008 Olivier Blin <oblin@mandriva.com> 0.53-1mdv2009.1
+ Revision: 303380
- buildrequire intltool
- package draknetcenter desktop file
- 0.53
- drakfirewall:
  o do not display any banner when embedded (#44732)
  o honnor canceling interactive firewall
- wireless backend:
  o run wpa_cli reconfigure after writing network settings in wpa
    config file
  o reload networks list from wpa_supplicant before checking if a
    network  is configured (fixes showing configure window again when
    clicking Connect right after Configure)
- connection frontends:
  o allow to sort networks list (from Pascal Terjan, #40177)
  o allow to search in networks list (from Pascal Terjan)
- netcenter:
  o use network connection type as primary interface label
  o add XDG desktop file

* Thu Oct 02 2008 Olivier Blin <oblin@mandriva.com> 0.52-1mdv2009.0
+ Revision: 290909
- 0.52
- wireless backend:
  o correctly initialize monitor object in
    draknetcenter/drakroam/net_applet so that it can be reused later
    (and thus pre-select correct network in wpa_supplicant)
  o run wpa_cli select_network as fallback when network monitor (mandi)
    is not available
  o refresh wpa_supplicant network ids after wpa_supplicant is restarted too
  o keep track of hidden networks
  o write bssid in wpa_supplicant.conf for hidden networks
    (helps getting network ids of hidden networks)
  o set scan_ssid to 1 only for hidden or non-broadcasted SSIDs
    (based on an idea from Pascal Terjan)
  o set higher priority (1) for encrypted wpa_supplicant networks
    (based on an idea from Patrick Sinz)

* Wed Oct 01 2008 Olivier Blin <oblin@mandriva.com> 0.51-1mdv2009.0
+ Revision: 290436
- 0.51
- net_applet: fix crash on mandi restart (#42557)
- draknfs: start rpcbind service (from aginies, #44335)

* Tue Sep 30 2008 Olivier Blin <oblin@mandriva.com> 0.50-1mdv2009.0
+ Revision: 290229
- 0.50
- do not show interactive help during install

* Tue Sep 30 2008 Thierry Vignaud <tv@mandriva.org> 0.49-1mdv2009.0
+ Revision: 289962
- translation updates

* Mon Sep 22 2008 Thierry Vignaud <tv@mandriva.org> 0.48-1mdv2009.0
+ Revision: 287023
- translation updates

* Thu Sep 18 2008 Olivier Blin <oblin@mandriva.com> 0.47-1mdv2009.0
+ Revision: 285679
- 0.47
- new icons
- draknfs (aginies):
  o start nfs-server at launch
  o start nfs-server if needed only, don't use the restart command
  o fix Expander in add/modify dialog box
- draksambashare (aginies):
  o standalone server by default
  o add charset advanced option
  o should read the default configuration, instead of force some value
  o fix netbios option, use charset option only if defined
  o remove option if value is null
- wireless backend:
  o add support for rt2860 driver
  o add support for rtl8187se driver

* Wed Sep 17 2008 Olivier Blin <oblin@mandriva.com> 0.46-1mdv2009.0
+ Revision: 285410
- 0.46
- drakfirewall:
  o add Windows Mobile sync option (from Adam Williamson, #43907)
  o update bittorrent packages list
    (handle deluge, ktorrent, transmission, vuze)

* Wed Sep 10 2008 Olivier Blin <oblin@mandriva.com> 0.45-1mdv2009.0
+ Revision: 283500
- 0.45:
- connection backend:
  o rely on module name instead of sysfs driver name when finding
    module for an interface (for ath5k, #42990)

* Wed Sep 03 2008 Olivier Blin <oblin@mandriva.com> 0.44-1mdv2009.0
+ Revision: 279785
- 0.44
- wireless backend:
  o adapt to rt61pci and rt73usb drivers

* Mon Sep 01 2008 Thierry Vignaud <tv@mandriva.org> 0.43-1mdv2009.0
+ Revision: 278486
- 0.43
- wireless backend:
  o add initial support for b43 and b43legacy firmwares
  o add support for iwlagn firmware
- fix title style in drakfirewall

* Mon Aug 18 2008 Olivier Blin <oblin@mandriva.com> 0.42-1mdv2009.0
+ Revision: 273304
- 0.42
- modify thirdparty packages detection API

* Wed Aug 13 2008 Olivier Blin <oblin@mandriva.com> 0.41-1mdv2009.0
+ Revision: 271384
- 0.41
- handle correctly LAST LINE comments when writing in
  /etc/shorewall/stop
- extract some shorewall functions to be reused by drakguard

* Fri Aug 01 2008 Olivier Blin <oblin@mandriva.com> 0.40-1mdv2009.0
+ Revision: 259554
- 0.40
- write WIRELESS_WPA_REASSOCIATE=yes for rt61pci driver

* Thu Jul 24 2008 Olivier Blin <oblin@mandriva.com> 0.39-1mdv2009.0
+ Revision: 245884
- 0.39
- update some icons
- update translations

* Wed Jun 25 2008 Olivier Blin <oblin@mandriva.com> 0.38-1mdv2009.0
+ Revision: 229098
- 0.38
- install kppp if kdebase4-runtime is installed
  (instead of checking kdebase, thanks neoclust)

* Wed Jun 25 2008 Olivier Blin <oblin@mandriva.com> 0.37-1mdv2009.0
+ Revision: 229002
- 0.37
- adapt to kppp package names for KDE4
- 0.36
- cellular providers: add Vodafone for Germany
- wireless backend: fix rescaling signal levels from wpa_supplicant

* Tue Jun 03 2008 Olivier Blin <oblin@mandriva.com> 0.35.1-1mdv2009.0
+ Revision: 214802
- 0.35.1
- draknetcenter: re-enable dbus based notifications

* Tue Jun 03 2008 Olivier Blin <oblin@mandriva.com> 0.35-1mdv2009.0
+ Revision: 214612
- adapt packaging to new files in /usr/lib/libDrakX/network/net_applet
- 0.35
- cellular backend:
  o add suport for cdc_acm USB modems in cellular backend
  o install ppp (thanks Anssi) and bluez-utils when configuring a
    cellular connection over bluetooth
  o hso devices support (using ttyHS0 device and hso0 interface)
    using ifup-hso script, together with dkms-hso and hso-rezero
  o do not write DEBUG=yes for hso devices
  o write CELLULAR_CID in ifcfg file if needed
  o call comgt instead of gcom
  o update chat/ppp files when connecting to a cellular network
  o fix check for SIM card (adapt to latest comgt output)
  o use "comgt PIN" to check cellular cards status
  o use ttyUSB2 or ttyUSB1 as control device for usbserial devices
    when possible
  o hang when waiting for comgt to finish (not to have a zombie process)
  o guess provider according to APN from chat file or from
    configuration of current network
- cellular providers:
  o add BouygTel, SFR WAP (Illimythics / Pass Surf), SFR EeePC
  o add Finnish providers (from Anssi)
  o fix APN for TIM provider (from Giuseppe Ghibo)
  o enhance label of SFR Web APN
- ethernet backend:
  o do not disable ONBOOT for PCMCIA interfaces (ifplugd is used by default)
  o fix blacklisting via_velocity for ifplugd
  o do not blacklist ifplugd for via_velocity, use a link detection
    delay instead (reported working by Stefan van der Eijk)
- generic backend:
  o find gateway address for ptp connections with only one interface
    route (like hso devices)
- wireless backend:
  o do not try to use mandi if not available
  o really force using wireless-tools when wpa_supplicant gives empty
    results (by removing useless info from wpa_cli output)
  o add network to wpa_supplicant config if needed when connecting
    (drakroam/netcenter)
  o use signal level if all reported qualities are 100%% and if signal
    level is different
  o parse "Signal level=" as well (was only parsing "Signal level:")
  o try to normalize signal level reported by wpa_supplicant only if
    some values are greater than 100
  o refresh networks list when switching from non-roaming to roaming
    (to get wpa_supplicant network IDs)
  o default to roaming for all encryption types if ROAMING is true in
    /etc/sysconfig/drakx-net
  o do not write ONBOOT setting in access point files
- connection frontends:
  o make "Any" translatable in providers list (#40926)
  o ask for ndiswrapper files in /media (not inexistant /media/cdrom)
- connection managers (drakroam/draknetcenter):
  o do not check and warn thrice about device setup (i.e. kill switch)
  o allow to select provider (useful for cellular cards)
  o check hardware and probe networks if not already done when
  expanding connection
  o show wait message when checking hardware
  o do not let interactive::gtk set huge window size when asking
    hardware settings (PIN code)
- drakconnect:
  o allow skipping interface choice if AUTOMATIC_IFACE_CHOICE is true
    in /etc/sysconfig/drakx-net and only one "automatic" interface is
    detected (i.e. not ndiswrapper)
  o allow to skip protocol and address configuration (defaulting to dhcp)
    if AUTOMATIC_ADDRESS is true in /etc/sysconfig/drakx-net
- draknetcenter:
  o do not use a networks list when there is only one network, just
    use one text line (cellular cards)
- drakproxy: factorize code restarting window manager (tv)
- net_applet:
  o do not read modules_conf (saves 92 kB of RSS, 25808 -> 25716)
  o allow to disable D-Bus usage by setting DBUS=no in /etc/sysconfig/drakx-net
    (saves about 5200 kB of RSS memory)
    this disables Interactive Firewall and switching wireless network
    in the background without being root
  o do not try to run ifw code if disabled (total memory gain of 156  kB
    after network::net_applet::ifw move, if D-Bus is disabled)
  o autostart in LXDE too (Funda Wang)
- translation updates

* Fri Apr 04 2008 Olivier Blin <oblin@mandriva.com> 0.34-1mdv2008.1
+ Revision: 192314
- 0.34
- show wait message when starting connection
- use network-up to wait for connection to be started
  (useful when called right before adding urpmi media)

* Thu Apr 03 2008 Olivier Blin <oblin@mandriva.com> 0.33-1mdv2008.1
+ Revision: 192198
- 0.33
- wireless backend:
  o ensure that WPA keys are 8-63 long if ASCII, 64 is hex
  o ensure that WEP keys are not longer than maximum key length for
    wpa_supplicant (#28107), 32 bytes in latest cooker package
  o allow to force using key as ASCII string (#27525)
  o write open/restricted  mode in WIRELESS_ENC_MODE variable to be
    able to use spaces in ASCII wireless keys (#26025)
  o check firmware with ucode API '-1' for iwl3945/iwl4965
    (default in our kernel)
  o do not write MII_NOT_SUPPORTED in wireless.d files (so that its
     value does not get overwritten when switching networks)
- cellular backend:
  o zero-pad module options to usbserial module
  o add cellular provider data for Italy (from Giuseppe Ghibr)
- ethernet backend
  o add a link detection delay for b44 module (#38795)
  o do not set RESOLV_MODS to "yes" if PEERDNS is "yes"
- firewall backend:
  o redirect both fw and loc zone (if loc is available)
  o allow to accept multiple users for the same port
- drakgw:
  o write netmask as VLSM for shorewall (#38447)
  o allow more local networks in squid (from squid default conf)
  o make sure squid user can connect to http
- draknetprofile:
  o allow to toggle radio buttons and set netprofile in background
    (from Pascal Terjan, #33602)
- drakvpn:
  o use new advanced vpnc UDP options (mostly from Lonny, #35007)

* Thu Mar 27 2008 Olivier Blin <oblin@mandriva.com> 0.32-1mdv2008.1
+ Revision: 190754
- 0.32
- drakfirewall backend:
  o really configure shorewall if not installed previously
  o fix reading config file if it exists but is almost empty

* Thu Mar 27 2008 Olivier Blin <oblin@mandriva.com> 0.31-1mdv2008.1
+ Revision: 190582
- 0.31
- drakfirewall backend:
  o make easier to redirect ports (for drakguard)
  o redirect ports from the firewall system if no local zone exists
  o allow to accept local users for specific ports
  o fix reading default squid port (if prefixed by domain, or suffixed
    by other options)

* Tue Mar 25 2008 Thierry Vignaud <tv@mandriva.org> 0.30-1mdv2008.1
+ Revision: 190125
- translation updates

* Wed Mar 19 2008 Olivier Blin <oblin@mandriva.com> 0.29-1mdv2008.1
+ Revision: 188937
- conflicts with older mdkonline
- 0.29
- add has_network_connection helper (for mdkonline and finish-install)
- drakfirewall: make sure shorewall config is written if there is no
  interface in net zone (#38722)
- draksambashare: add missing accelerators in menus (aginies)

* Sat Mar 15 2008 Olivier Blin <oblin@mandriva.com> 0.28-1mdv2008.1
+ Revision: 188051
- do not require Gtk2::NotificationBubble anymore
- package new drakconnect modules
- require drakxtools 10.15 for notify queue API
- 0.28
- wireless support:
  o detect EAP support when parsing iwlist scan (#38792)
  o rephrase WPA/WPA2 PSK/Enterprise labels
  o install mandi if wpa_supplicant is enabled, so that net_applet can
    trigger connections without being root
- cellular cards support:
  o check that PIN number is 4 digits
  o do not enter PIN multiple times in gcom
    (to prevent wrong PIN from being entered and SIM card to be
    locked)
- connection frontend:
  o improve message about non-free packages (#37258)
  o only write network settings that really have to be applied before
    starting connection (#38792)
  o do not crash if no device is detected when updating networks
  (#38734)
- connection backend:
  o do not check connection setup again if the first time failed
  o preverse existing settings when configuring a new device
  o fix crash during ethernet devices detection (#33517)
- netcenter:
  o show only non-zeroconf virtual interfaces (#38310)
  o improve virtual/alias interfaces support
  o show wait_message earlier and remove main window showing hack
    (wait_message will end with a default window icon though)
- drakroam:
  o do not run the whole setup check if interface is already ok
  o preselect "No device found" in connections list if no device is
  found
- net_applet:
  o add support for "new connection" messages from Interactive
  Firewall
    (do not show them as "attacks")
  o use Gtk2::Notify and Gtk2::StatusIcon
    (#37509, reworked based on a patch from Titi)
  o set 'critical' urgency in attack notifications popup
  o flush gtk before displaying notifications
    (so that they appear on the status icon position)
- drakfirewall:
  o adapt Ifw rule to new shorewall (remove old Ifw rule if needed)
  o do not ask which interfaces to protect if disabled (#27049)
  o protect all interfaces by default, let the user unselect
    local ones (#27978)
  o add banner
- drakids:
  o better phrasing (do not read Attack when it can be a simple
    connection notification)
- drakconnect:
  o include interface name when selecting device
  o split code in sub-modules (startup should be slightly faster)
  o always write modules conf before exiting
    (this could fix some bugs with drakconnect --del)
  o drop --old and --install options

  + Thierry Vignaud <tv@mandriva.org>
    - bump require on drakxtools for API

* Fri Feb 29 2008 Olivier Blin <oblin@mandriva.com> 0.27-1mdv2008.1
+ Revision: 176629
- 0.27
- connection backend:
  o initial import of WPA-EAP support
    (patch from Clement Onime, with minor changes, #23925)
  o do not crash with prism54 driver which reports quality with
    division by zero (assume max signal quality is 255 instead,
    from Eddy De Greef, #34845 and #37879)
- net_applet:
  o update icons (from Helene)
- drakroam/draknetcenter:
  o show the GUI earlier to fix window icon, it gets destroyed after
    initial wait message is destroyed
  o be 800x480 friendly (#38049)
- draknetcenter:
  o use cached result to match detected devices (update cache when
    needed only), not to show the same interface multiple times

* Tue Feb 26 2008 Olivier Blin <oblin@mandriva.com> 0.26-1mdv2008.1
+ Revision: 175513
- 0.26
- draknetcenter:
  o fix crash with cellular cards (#36801)
  o allow to configure device if not installed (#33531)
  o setup connection if needed when updating networks list
  o do not enable by default devices that require slow hardware check
    (like cellular cards)
  o allow to scan networks even if slow (like cellular cards), just
    don't do it at startup
  o do not scan networks at startup if device is unavailable
  o write settings after initial connection setup
  o update networks list after initial connection setup
  o do not run sdptool search when detecting connections
  o add wait message at start
  o remove wait message when displaying device setup error
- net_monitor (tv):
  o make expose_event callback more robust (#36537)
  o make sure widgets got realized before any event callback is called
    (#36537)
  o make sure not to run timers after quitting the main loop (#37635)
- connection backend:
  o fix checking dkms modules after package installation (#33044)
  o write modalias for ethernet and wireless interfaces
    (mostly useful with ndiswrapper: #34660, #37026, #37106)
  o fix crash in providers list when weirdly translated locale country
    contains metacharacters (reported by Cosmin Humeniuc)
  o be stricter when matching provider country
  o add title in wait messages
- ndiswrapper support:
  o find more conflicting drivers: original driver from ldetect, sysfs
    driver, and drivers registered on the ssb bus
    (to find all of bcm43xx, ssb and b43 for Broadcom devices)
  o unload drivers for all conflicting interfaces
  o stop conflicting interfaces before removing conflicting modules
  o do not reload ndiswrapper module twice or more
  o improve error message for ndiswrapper setup (#28335)
- add strict version requirements for drakx-net-text and libdrakx-net (more complete fix for #35295)
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - add a versionnated require on perl-Gtk2 due to needed API (#34573)
    - versionnate require (#35295)
    - kill re-definition of %%buildroot on Pixel's request
    - explain require

* Mon Dec 17 2007 Olivier Blin <oblin@mandriva.com> 0.25-1mdv2008.1
+ Revision: 121681
- 0.25
- draksambashare (aginies):
  o fix typo, fix inherit permission problem, re-order some share
  options
  o add an Help menu
  o only display share name, directory and comment (try to improve GUI
  #27339)
  o add security options, fix list problem, fix default PDC
  configuration
  o add a wizard to configure a PDC or a standalone Samba server
  o fix wizard bug
- draknfs:
  o translate "Advanced options"
  o add host allow option (aginies)
- connection frontend:
  o do not make refresh/monitor buttons sensitive if device has no
  interface
- 3G/GPRS providers list:
  o add "Orange WAP" (with "orange" as APN)
  o rename "Orange Grand Public" as "Orange Web"
- i18n:
  o renamed Uzbek translations to follow the libc standard
    (#35090, from Mashrab Kuvatov, approved by  Pixel)
  o updates
- require perl-Net-Telnet for OpenVPN connections (#36126)

  + Thierry Vignaud <tv@mandriva.org>
    - own directory

* Fri Oct 05 2007 Olivier Blin <oblin@mandriva.com> 0.24-1mdv2008.0
+ Revision: 95582
- 0.24:
- draknetcenter:
  o update networks list on connection status change
  o use a scrolled window for wireless networks
  o show all wireless networks
  o do not modify GTK style, it is not consistent in MCC and
  standalone, and breaks widgets
  o check network address settings
- drakconnect/draknetcenter/drakroam:
  o check that network access settings are valid (i.e. check wireless
  key)
- drakroam: use same sort function than draknetcenter
- net_applet/drakroam/draknetcenter:
  o list current network on top of network list
  o do not show as selected the APs with same ESSID as current AP
- connection backend:
  o fix URL for Smartlink modems (#34479)
  o fix typo in german translation (#34479)
  o fix test of unicorn kernel modules
  o use Orange instead of Wanadoo France in xDSL provides list
    (Emmanuel Andry, #23172)

* Wed Oct 03 2007 Thierry Vignaud <tv@mandriva.org> 0.23-1mdv2008.0
+ Revision: 95033
- updated translation

* Tue Oct 02 2007 Thierry Vignaud <tv@mandriva.org> 0.22-1mdv2008.0
+ Revision: 94713
- update israeli xDSL provider list (#32685)

* Mon Oct 01 2007 Thierry Vignaud <tv@mandriva.org> 0.21-1mdv2008.0
+ Revision: 94276
- updated translation

* Fri Sep 28 2007 Olivier Blin <oblin@mandriva.com> 0.20-1mdv2008.0
+ Revision: 93728
- 0.20
- check for draknetcenter/drakroam instances of root, not user
- do not allow to run multiple draknetcenter (#34276)

* Fri Sep 28 2007 Olivier Blin <oblin@mandriva.com> 0.19-1mdv2008.0
+ Revision: 93445
- 0.19
- add back ipw3945 settings
- net_applet: add X-MandrivaLinux-CrossDesktop (#33416)

* Tue Sep 25 2007 Thierry Vignaud <tv@mandriva.org> 0.18-1mdv2008.0
+ Revision: 92926
- updated translations

* Tue Sep 25 2007 Olivier Blin <oblin@mandriva.com> 0.17-1mdv2008.0
+ Revision: 92869
- allow console users to run network center without password
- 0.17
- net_monitor:
  o fix crash on exit (Tv, #33023)
- net_applet:
  o run net center instead of simple menu on left click

* Thu Sep 20 2007 Olivier Blin <oblin@mandriva.com> 0.16-1mdv2008.0
+ Revision: 91295
- 0.16:
- connection manager (netcenter/drakroam):
  o add banner in configure dialog (#33622)
- netcenter:
  o update connection status on dbus event
  o update status icon on connection change
  o always allow to connect if no network has to be selected
  o fix connection stop
- drakroam:
  o remove extra toggle button
  o do not die when no wireless interface is configured (#33123)
- net_applet:
  o use new connected/disconnected/unconfigured icons
- connection backend:
  o wait a bit for iwl3945/iwl4965 interfaces to appear
  o fix matching of ueagle_atm module (#33029)
  o show notification about cxacru firmware

* Thu Sep 13 2007 Olivier Blin <oblin@mandriva.com> 0.15-4mdv2008.0
+ Revision: 85376
- require lib package in drakx-net-text (from Quel Qun, #33451)

* Wed Sep 12 2007 Andreas Hasenack <andreas@mandriva.com> 0.15-3mdv2008.0
+ Revision: 84831
- use new common pam config files for usermode/consolehelper

* Tue Sep 11 2007 Olivier Blin <oblin@mandriva.com> 0.15-2mdv2008.0
+ Revision: 84339
- do not package drakroam/netcenter Gtk2 files in lib package (#33451)
- make sure no file using Gtk2 is included in lib package

* Mon Sep 10 2007 Olivier Blin <oblin@mandriva.com> 0.15-1mdv2008.0
+ Revision: 84249
- 0.15
- draknetcenter:
  o use new status icons
  o add Quit button
  o do not show markup instead of interface name if interface does not
  exist (#33241)
- draknfs/draksambashare:
  o use translations (#33221)

* Fri Aug 31 2007 Andreas Hasenack <andreas@mandriva.com> 0.14-4mdv2008.0
+ Revision: 77075
- drakhosts: ask console user for root password

* Wed Aug 29 2007 Andreas Hasenack <andreas@mandriva.com> 0.14-3mdv2008.0
+ Revision: 75027
- drakproxy, drakvpn: allow console user to run them, provided root password is given
- drakgw: ask console user for root password
- drakconnect: console user can run it provided the root password is given

* Wed Aug 29 2007 Andreas Hasenack <andreas@mandriva.com> 0.14-2mdv2008.0
+ Revision: 74992
- draknetcenter can now be run as root by console user with user password

* Wed Aug 22 2007 Olivier Blin <oblin@mandriva.com> 0.14-1mdv2008.0
+ Revision: 68780
- 0.14
- draknetcenter:
  o move buttons on one row
  o add per-connection expander
- net_applet:
  o always show interfaces in left-click menu
  o do not show empty menus

* Tue Aug 21 2007 Olivier Blin <oblin@mandriva.com> 0.13-1mdv2008.0
+ Revision: 68151
- 0.13
- draknetcenter: initial prototype
- drakroam:
  o add iwl3945/iwl4965 support to replace ipw3945
  o show signal strength and encryption flags as tooltip for networks list
  o remove encryption flags column in networks list
  o pre-set Managed mode for access points detected as Master (#30303)
- net_applet:
  o fix startup with XFCE (Tv, #31834)
  o disable autostart notifications of net_applet (Tv, #18965)
  o prevent firing up drakbug when automatic startup is disabled (Tv, #32292)
  o use "Help" instead of "Get Online Help" since the doc is local (thanks damsweb)
- draksambashare:
  o fix existing shares test (aginies, #30099)
  o use exit instead of return in main code (nvigier, #32374)
- draknfs (nvigier):
  o add subtree_check option
  o fix bug with sync/async option
  o nfs service was renamed to nfs-server for 2008.0
  o fix path for do_pkgs->ensure_is_installed : /sbin/rpc.statd
    is from nfs-utils-client package, not nfs-utils
  o use exit instead of return in main code


* Sat Mar 31 2007 Olivier Blin <oblin@mandriva.com> 0.12-1mdv2007.1
+ Revision: 150102
- 0.12: fix check of nfs-utils-clients installation (Tv)

* Fri Mar 30 2007 Olivier Blin <oblin@mandriva.com> 0.11.1-1mdv2007.1
+ Revision: 149896
- 0.11.1 (don't install .perl_checker file /o\)
- 0.11:
  o enhance selection of multiple thirdparty packages
  o make thirdparty packages code easier to re-use
    (for example in automatic install, useful for live systems)

* Thu Mar 29 2007 Olivier Blin <oblin@mandriva.com> 0.10-1mdv2007.1
+ Revision: 149284
- 0.10:
  o drakroam: do not show "More networks" menu if empty (#28626)
  o don't translate program names in old interface (Emmanuel Blindauer, #29196)
  o drakconnect: make net_applet reload its configuration after an interface is deleted (#28680)
  o draknfs: fix missing use of gtkset (aginies)

* Fri Mar 23 2007 Olivier Blin <oblin@mandriva.com> 0.9-1mdv2007.1
+ Revision: 148615
- 0.9:
  o allow drakroam to be run as user (#23771)
  o do not allow drakconnect to be run as user anymore
  o fix gateway detection for new ppp daemon (#27886)
- pam config is now handled in "upstream" tarball
- update url
- move pam config in drakx-net module
- move pam config in drakx-net module

* Thu Mar 22 2007 Olivier Blin <oblin@mandriva.com> 0.8-1mdv2007.1
+ Revision: 148077
- 0.8
- prefer DNS variables over MS_DNS one in ifcfg files (should fix ppp ifcfg files and static net install)
- drakroam: rt73-firmware support (#29691)
- drakroam: do not detect network with empty ssid as configured
- drakroam: fix rf_kill detection for ipw3945 by checking it before interface presence
- drakroam: remove ipw3945d service support
- drakroam: reload ipw3945 module if no interface is present when the device is not rf-killed (fix missing interface is booting with rf-kill)
- drakroam: try to find wireless driver if unknown (fix rt61 detection)
- drakroam: rt61 firmware support

  + Thierry Vignaud <tvignaud@mandriva.com>
    - bump require on drakxtools for PCI domain support

* Mon Mar 12 2007 Olivier Blin <oblin@mandriva.com> 0.7-1mdv2007.1
+ Revision: 141488
- 0.7
- add missing tools: drakhosts, draknfs, draksambashare (thanks Titi
- for the hint)
- drakconnect: match PCI domain when looking up devices by MAC address
- (Titi)
- drakconnect: use a link detection delay for r8169
- drakconnect: default to NEEDHOSTNAME=no
- drakroam: merge flags from configured wpa_supplicant networks in all
- matching scanned networks
- drakroam: detect ad-hoc networks when wpa_supplicant is used
- drakroam: pre-select detected wireless mode of the configured
- network
- drakroam: allow to configure ad-hoc networks with wpa_supplicant
- drakroam: write more settings in ifcfg files when wpa_supplicant is
- used
- drakroam: do not write Roaming WIRELESS_MODE anymore, ifup scripts
- will rely on WIRELESS_WPA_DRIVER
- drakroam: do not override AP address with "any" when parsing
- wpa_supplicant network list
- net_applet: start it using GNOME own autostart infrastructure
- (Frederic Crozat)
- net_applet: fix detection of running net_applet processes

* Mon Feb 26 2007 Andreas Hasenack <andreas@mandriva.com> 0.6-2mdv2007.1
+ Revision: 126069
- setup drakconnect to use consolehelper (runs as root
  without prompting for a password as long as invoked by
  the console user)

* Wed Feb 07 2007 Olivier Blin <oblin@mandriva.com> 0.6-1mdv2007.1
+ Revision: 117305
- add NEWS file
- 0.6

* Thu Jan 11 2007 Thierry Vignaud <tvignaud@mandriva.com> 0.5-1mdv2007.1
+ Revision: 107288
- add rt73 in the old rt2x00 list (blino)
- drakhosts, draknfs, draksambashare: move more network tools
  into drakx-net
- misc cleanups

* Thu Dec 21 2006 Thierry Vignaud <tvignaud@mandriva.com> 0.4-1mdv2007.1
+ Revision: 101096
- net_monitor: fix choosing color

* Wed Dec 20 2006 Olivier Blin <oblin@mandriva.com> 0.3-2mdv2007.1
+ Revision: 100535
- explicitely require perl-Gtk2-NotificationBubble

* Wed Dec 06 2006 Olivier Blin <oblin@mandriva.com> 0.3-1mdv2007.1
+ Revision: 91619
- update tarball so that perl_checker is not required
- do not run tools in restricted mode (#27458)
- fix crash in restricted mode
- use /media instead of /mnt for cdrom/floppy
- get translations from "drakx-net" domain (from Thierry Vignaud)

* Thu Nov 30 2006 Olivier Blin <oblin@mandriva.com> 0.2-2mdv2007.1
+ Revision: 89438
- bump release
- do not use mklibname

* Thu Nov 30 2006 Olivier Blin <oblin@mandriva.com> 0.2-1mdv2007.1
+ Revision: 89282
- net_applet: show simplified menu on left click (instead of running net_monitor)
- drakfirewall: really disable services if asked to (#27295)
- move netprofile requires in drakx-net
- move network tools description in drakx-net
- move network tools description in drakx-net

* Thu Nov 30 2006 Olivier Blin <oblin@mandriva.com> 0.1-1mdv2007.1
+ Revision: 89212
- do not buildrequires perl_checker
- initial drakx-net release
- Create drakx-net

